import re
import json

data = "host info in {'pageInfo': {'totalCount': 37, 'page': 0, 'pageSize': 1000}, 'links': [{'href': '/suite-api/api/resources/15b3ea0c-9f62-4fc2-93b8-d4281196043e/relationships?page=0&amp;pageSize=1000', 'rel': 'SELF', 'name': 'current'},"

pattern = r'(?:.*resources\/)(?P<host_id_response>[^\/]+)'

match = re.findall(pattern, data)

host = [x for x in match]

print(host)
